<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/test/Common/TestableAttachmentManager.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_2d9894417dd95d1842540bac6666188a.html">test</a></li><li class="navelem"><a class="el" href="dir_c619d3dd22dd53b5202592c42fbeb8fe.html">Common</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">TestableAttachmentManager.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_testable_attachment_manager_8h_source.html">AVSCommon/Utils/Common/TestableAttachmentManager.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_testable_attachment_writer_8h_source.html">AVSCommon/Utils/Common/TestableAttachmentWriter.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_in_process_s_d_s_8h_source.html">AVSCommon/Utils/SDS/InProcessSDS.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for TestableAttachmentManager.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_testable_attachment_manager_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2test_2_common_2_testable_attachment_manager_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2test_2_common_2_testable_attachment_manager_8cpp" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2test_2_common_2_testable_attachment_manager_8cpp">
<area shape="rect" id="node2" href="_testable_attachment_manager_8h.html" title="AVSCommon/Utils/Common\l/TestableAttachmentManager.h" alt="" coords="1192,119,1397,157"/>
<area shape="rect" id="node17" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="1378,465,1540,504"/>
<area shape="rect" id="node41" href="_testable_attachment_writer_8h.html" title="AVSCommon/Utils/Common\l/TestableAttachmentWriter.h" alt="" coords="1499,119,1688,157"/>
<area shape="rect" id="node3" href="_attachment_manager_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentManager.h" alt="" coords="1181,205,1382,244"/>
<area shape="rect" id="node6" href="_attachment_manager_interface_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentManagerInterface.h" alt="" coords="104,292,312,331"/>
<area shape="rect" id="node10" href="_attachment_8h.html" title="AVSCommon/AVS/Attachment\l/Attachment.h" alt="" coords="446,379,647,417"/>
<area shape="rect" id="node12" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="246,625,447,664"/>
<area shape="rect" id="node16" href="_attachment_writer_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentWriter.h" alt="" coords="635,465,837,504"/>
<area shape="rect" id="node15" href="_reader_policy_8h.html" title="AVSCommon/Utils/SDS\l/ReaderPolicy.h" alt="" coords="347,712,509,751"/>
<area shape="rect" id="node40" href="_writer_policy_8h.html" title="WriterPolicy.h" alt="" coords="2357,719,2459,744"/>
<area shape="rect" id="node20" href="_shared_data_stream_8h.html" title="SharedDataStream.h" alt="" coords="1689,552,1836,577"/>
<area shape="rect" id="node22" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="1408,712,1584,751"/>
<area shape="rect" id="node35" href="_buffer_layout_8h.html" title="BufferLayout.h" alt="" coords="1649,632,1757,657"/>
<area shape="rect" id="node36" href="_reader_8h.html" title="Reader.h" alt="" coords="1861,632,1936,657"/>
<area shape="rect" id="node39" href="_writer_8h.html" title="Writer.h" alt="" coords="2122,632,2190,657"/>
<area shape="rect" id="node23" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1008,799,1184,837"/>
<area shape="rect" id="node25" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="1664,885,1878,924"/>
<area shape="rect" id="node28" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="669,972,845,1011"/>
<area shape="rect" id="node29" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="1008,885,1184,924"/>
<area shape="rect" id="node33" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="736,885,933,924"/>
<area shape="rect" id="node34" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="883,1059,1059,1097"/>
<area shape="rect" id="node30" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="1059,972,1235,1011"/>
<area shape="rect" id="node31" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="1303,1059,1479,1097"/>
<area shape="rect" id="node42" href="_in_process_attachment_writer_8h.html" title="AVSCommon/AVS/Attachment\l/InProcessAttachmentWriter.h" alt="" coords="1497,379,1698,417"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">alexaClientSDK::avsCommon::utils</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:aafb242c1733224d397b310c47470a6c9"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#aafb242c1733224d397b310c47470a6c9">alexaClientSDK::avsCommon::utils::SDSType</a> = avsCommon::utils::sds::InProcessSDS</td></tr>
<tr class="separator:aafb242c1733224d397b310c47470a6c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a173b2ac429b2b3ddf3926ad031bd8471"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a173b2ac429b2b3ddf3926ad031bd8471">alexaClientSDK::avsCommon::utils::SDSBufferType</a> = avsCommon::utils::sds::InProcessSDSTraits::Buffer</td></tr>
<tr class="separator:a173b2ac429b2b3ddf3926ad031bd8471"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a2632275cf0fb9948861a6a5b83b6c129"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a2632275cf0fb9948861a6a5b83b6c129">alexaClientSDK::avsCommon::utils::DUMMY_SDS_BUFFER_SIZE</a> = 100</td></tr>
<tr class="memdesc:a2632275cf0fb9948861a6a5b83b6c129"><td class="mdescLeft">&#160;</td><td class="mdescRight">A small value so we can create objects with a valid SDS (even if unused).  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a2632275cf0fb9948861a6a5b83b6c129">More...</a><br /></td></tr>
<tr class="separator:a2632275cf0fb9948861a6a5b83b6c129"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
